Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236504 - Review Request: rhm - Red Hat Messaging extensions to qpid.
Summary: Review Request: rhm - Red Hat Messaging extensions to qpid.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 15:42 UTC by Alan Conway
Modified: 2013-09-12 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 21:18:44 UTC
nsantos: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Alan Conway 2007-04-15 15:42:49 UTC
Spec URL: http://rhm.et.redhat.com/download/rhm.spec
SRPM URL: http://rhm.et.redhat.com/download/rhm-0.1-1.src.rpm
Description: Red Hat Messaging - Red Hat extensions to Qpid messaging system.

This package contains extensions to the Qpid messaging system (http://cwiki.apache.org/qpid) This release contains a persistent message
store extension using Berkley DB.

Comment 1 Nuno Santos 2007-04-17 01:32:09 UTC
rhm-0.1-1.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
NA - non-numeric characters should only be used in Release (ie. cvs or
   something)
NA - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
NA - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
OK * correct buildroot
OK * if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK * license text included in package and marked with %doc
OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output
OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright
OK * Summary tag should not end in a period
OK * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
OK * package successfully compiles and builds on at least x86
OK * BuildRequires are proper
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
NA * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
OK * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
NA * consider using cp -p to preserve timestamps
OK * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
OK * verify the final provides and requires of the binary RPMs

--
[nsantos@qpid-test pkg]$ rpm -qp
/usr/src/redhat/RPMS/x86_64/rhm-0.1-1.x86_64.rpm --provides
libbdbstore.so.0()(64bit)
rhm = 0.1-1

[nsantos@qpid-test pkg]$ rpm -qp
/usr/src/redhat/RPMS/x86_64/rhm-0.1-1.x86_64.rpm --requires
/sbin/ldconfig
/sbin/ldconfig
/sbin/service
/sbin/service
db4
libapr-1.so.0()(64bit)
libbdbstore.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libcrypt.so.1()(64bit)
libdb_cxx-4.3.so()(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
libqpidbroker.so.0()(64bit)
librt.so.1()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libuuid.so.1()(64bit)
qpidd
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
--

OK * run rpmlint on the binary RPMs

--
[nsantos@qpid-test pkg]$ rpmlint /usr/src/redhat/RPMS/x86_64/rhm-0.1-1.x86_64.rpm
[nsantos@qpid-test pkg]$ rpmlint
/usr/src/redhat/RPMS/x86_64/rhm-debuginfo-0.1-1.x86_64.rpm
[nsantos@qpid-test pkg]$
--

SHOULD:
OK * package should include license text in the package and mark it with %doc
OK * package should build on i386
OK * package should build in mock



Marking as APPROVED

Comment 2 Nuno Santos 2007-04-17 01:34:18 UTC
New Package CVS Request
=======================
Package Name: rhm
Short Description: Red Hat extensions to the Qpid messaging system
Owners: aconway@redhat.com,nsantos@redhat.com
Branches: 
InitialCC: 



Note You need to log in before you can comment on or make changes to this bug.